DSP Context

DSP Context. More...

## Topics

| DSP Utilities
| DSP Utilities.

## Data Structures

struct | gavl_dsp_funcs_t
| Function table. More...

## Typedefs

typedef struct gavl_dsp_context_s | gavl_dsp_context_t
| Opaque DSP context.

## Functions

GAVL_PUBLIC gavl_dsp_context_t * | gavl_dsp_context_create (void)
| Create a DSP context.
GAVL_PUBLIC void | gavl_dsp_context_set_quality (gavl_dsp_context_t *ctx, int q)
| Set the quality for a DSP context.
GAVL_PUBLIC void | gavl_dsp_context_set_accel_flags (gavl_dsp_context_t *ctx, int flags)
| Set the acceleration flags for a DSP context.
GAVL_PUBLIC gavl_dsp_funcs_t * | gavl_dsp_context_get_funcs (gavl_dsp_context_t *ctx)
| Get the functions.
GAVL_PUBLIC void | gavl_dsp_context_destroy (gavl_dsp_context_t *ctx)
| Destroy a DSP context.

## Detailed Description

DSP Context.

In addition to the higher level gavl converters, gavl provides some low-level dsp routines. They can be used for writing filters or codecs. The DSP context is initialized with a quality parameter (see Quality settings), which selects among various versions of a function.

## Typedef Documentation

## gavl_dsp_context_t

typedef struct gavl_dsp_context_s gavl_dsp_context_t

Opaque DSP context.

You don't want to know, what's inside here.

## Function Documentation

## gavl_dsp_context_create()

GAVL_PUBLIC gavl_dsp_context_t * gavl_dsp_context_create | ( | void |  | ) |

Create a DSP context.

Returns
  A newly allocated DSP context

This initialized a DSP context with all functions chosen according to the default quality value.

## gavl_dsp_context_set_quality()

GAVL_PUBLIC void gavl_dsp_context_set_quality | ( | gavl_dsp_context_t * | ctx,
|  | int | q )

Set the quality for a DSP context.

Parameters

  ctx | A DSP context
  q | A quality level

See Quality settings.

## gavl_dsp_context_set_accel_flags()

GAVL_PUBLIC void gavl_dsp_context_set_accel_flags | ( | gavl_dsp_context_t * | ctx,
|  | int | flags )

Set the acceleration flags for a DSP context.

Parameters

  ctx | A DSP context
  flags | Flags

By default the flags are detected automatically and functions are chosen based on the quality

## gavl_dsp_context_get_funcs()

GAVL_PUBLIC gavl_dsp_funcs_t * gavl_dsp_context_get_funcs | ( | gavl_dsp_context_t * | ctx | ) |

Get the functions.

Parameters

  ctx | A DSP context

Returns
  The function table

The address of the table itself won't change by a call to gavl_dsp_context_set_quality, but the contained functions will.

## gavl_dsp_context_destroy()

GAVL_PUBLIC void gavl_dsp_context_destroy | ( | gavl_dsp_context_t * | ctx | ) |

Destroy a DSP context.

Parameters

  ctx | A DSP context